-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/broker_healbot/localization/

local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

function BHB_locale()
  return setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
  })
end

Ld = {
{
	["/bhb"] = "/bhb",
	Broker_HealBot = "Broker_HealBot",
	HealBot = "HealBot",
	["Left Click"] = "Left Click",
	["Right Click"] = "Right Click",
	["Shift Left Click"] = "Shift Left Click",
	["Shift Right Click"] = "Shift Right Click",
	debug = "debug",
	["debug toggled"] = "debug toggled",
	minimap = "minimap",
	["minimap toggled"] = "minimap toggled",
	["reset requested (in combat)"] = "reset requested (in combat)",
	["skin change requested (in combat)"] = "skin change requested (in combat)",
	["skin set to"] = "skin set to",
	skins = "skins",
	["toggle requested (in combat)"] = "toggle requested (in combat)",
}

}

if locale == "frFR" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} elseif locale == "deDE" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} elseif locale == "koKR" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} elseif locale == "esMX" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} elseif locale == "ruRU" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} elseif locale == "zhCN" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} elseif locale == "esES" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} elseif locale == "zhTW" then La = {
{
	-- ["/bhb"] = "",
	-- Broker_HealBot = "",
	-- HealBot = "",
	-- ["Left Click"] = "",
	-- ["Right Click"] = "",
	-- ["Shift Left Click"] = "",
	-- ["Shift Right Click"] = "",
	-- debug = "",
	-- ["debug toggled"] = "",
	-- minimap = "",
	-- ["minimap toggled"] = "",
	-- ["reset requested (in combat)"] = "",
	-- ["skin change requested (in combat)"] = "",
	-- ["skin set to"] = "",
	-- skins = "",
	-- ["toggle requested (in combat)"] = "",
}

} 
end
